Skip to main content
POST
/
v1
/
files
/
{id}
/
uploaded
Go (SDK)
package main

import(
	"context"
	"os"
	polargo "github.com/polarsource/polar-go"
	"github.com/polarsource/polar-go/models/components"
	"log"
	"github.com/polarsource/polar-go/models/operations"
)

func main() {
    ctx := context.Background()

    s := polargo.New(
        polargo.WithSecurity(os.Getenv("POLAR_ACCESS_TOKEN")),
    )

    res, err := s.Files.Uploaded(ctx, "<value>", components.FileUploadCompleted{
        ID: "<id>",
        Path: "/boot",
        Parts: []components.S3FileUploadCompletedPart{
            components.S3FileUploadCompletedPart{
                Number: 979613,
                ChecksumEtag: "<value>",
                ChecksumSha256Base64: polargo.Pointer("<value>"),
            },
            components.S3FileUploadCompletedPart{
                Number: 979613,
                ChecksumEtag: "<value>",
                ChecksumSha256Base64: polargo.Pointer("<value>"),
            },
            components.S3FileUploadCompletedPart{
                Number: 979613,
                ChecksumEtag: "<value>",
                ChecksumSha256Base64: polargo.Pointer("<value>"),
            },
        },
    })
    if err != nil {
        log.Fatal(err)
    }
    if res.ResponseFilesUploaded != nil {
        switch res.ResponseFilesUploaded.Type {
            case operations.FilesUploadedResponseFilesUploadedTypeDownloadable:
                // res.ResponseFilesUploaded.DownloadableFileRead is populated
            case operations.FilesUploadedResponseFilesUploadedTypeProductMedia:
                // res.ResponseFilesUploaded.ProductMediaFileRead is populated
            case operations.FilesUploadedResponseFilesUploadedTypeOrganizationAvatar:
                // res.ResponseFilesUploaded.OrganizationAvatarFileRead is populated
        }

    }
}
{
  "id": "<string>",
  "organization_id": "<string>",
  "name": "<string>",
  "path": "<string>",
  "mime_type": "<string>",
  "size": 123,
  "storage_version": "<string>",
  "checksum_etag": "<string>",
  "checksum_sha256_base64": "<string>",
  "checksum_sha256_hex": "<string>",
  "last_modified_at": "2023-11-07T05:31:56Z",
  "version": "<string>",
  "service": "<string>",
  "is_uploaded": true,
  "created_at": "2023-11-07T05:31:56Z",
  "size_readable": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://polar.sh/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

You can generate an Organization Access Token from your organization's settings.

Path Parameters

id
string<uuid4>
required

The file ID.

Body

application/json
id
string
required
path
string
required
parts
S3FileUploadCompletedPart · object[]
required

Response

File upload completed.

File to be associated with the downloadables benefit.

id
string<uuid4>
required

The ID of the object.

organization_id
string<uuid4>
required
name
string
required
path
string
required
mime_type
string
required
size
integer
required
storage_version
string | null
required
checksum_etag
string | null
required
checksum_sha256_base64
string | null
required
checksum_sha256_hex
string | null
required
last_modified_at
string<date-time> | null
required
version
string | null
required
service
string
required
Allowed value: "downloadable"
is_uploaded
boolean
required
created_at
string<date-time>
required
size_readable
string
required